/* ========================================================================
   Component: text custom
 ========================================================================== */
.text-custom {
    color: #024f98;
}

/* ========================================================================
   Component: link custom
 ========================================================================== */
.link-custom {
    color: #024f98;
}

    .link-custom:hover {
        /*color: #0c2943;*/
        opacity: 0.9;
    }

/* ========================================================================
Component: button custom secondary
========================================================================== */
.btn-custom-2 {
    background-color: #ee741c;
    color: white;
    border-color: transparent;
    font-size: 1rem;
    -webkit-appearance: none;
    outline: none !important;
    transition: all 0.1s;
    min-height: 45px;
    padding: 0.5rem 1.8rem;
}

.btn-custom-2:hover {
    opacity: 0.9;
}

/* ========================================================================
   Component: button excel
 ========================================================================== */

.btn-excel {
    color: #fff;
    background-color: #024f98;
    border-color: transparent;
}

    .btn-excel:hover {
        color: #fff;
        background-color: #107c42;
        border-color: transparent;
    }

    .btn-excel:focus, .btn-excel.focus {
        color: #fff;
        background-color: #185c37;
        border-color: transparent;
        box-shadow: 0 0 0 0.2rem rgba(59,134,112, 0.5);
    }

    .btn-excel.disabled, .btn-excel:disabled {
        color: #fff;
        background-color: #185c37;
        border-color: transparent;
    }

    .btn-excel:not(:disabled):not(.disabled):active, .btn-excel:not(:disabled):not(.disabled).active,
    .show > .btn-excel.dropdown-toggle {
        color: #fff;
        background-color: #185c37;
        border-color: transparent;
    }

        .btn-excel:not(:disabled):not(.disabled):active:focus, .btn-excel:not(:disabled):not(.disabled).active:focus,
        .show > .btn-excel.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(59,134,112, 0.5);
        }

/* ========================================================================
   Component: button custom
 ========================================================================== */
.btn-danger {
    color: #fff;
    background-color: #e21616;
    border-color: #e21616;
}

.badge-danger {
    background-color: #e21616;
}

.btn-bg {
    font-size: 1rem;
    -webkit-appearance: none;
    outline: none !important;
    transition: all 0.1s;
    min-height: 45px;
    padding: 0.5rem 1.8rem;
}

.btn-custom {
    color: #fff;
    background-color: #024f98;
    border-color: transparent;
    font-size: 1rem;
    -webkit-appearance: none;
    outline: none !important;
    transition: all 0.1s;
    min-height: 45px;
    padding: 0.5rem 1.8rem;
}
.btn-custom em,i,img,svg {
    margin-right: 5px;
}

.btn-custom .btn-full{
    width: 100%
}

    .btn-custom:hover {
        color: #fff;
        /*background-color: #0c2943;*/
        border-color: transparent;
        opacity: 0.9;
    }

    .btn-custom:focus, .btn-custom.focus {
        color: #fff;
        background-color: #0c2943;
        border-color: transparent;
        box-shadow: 0 0 0 0.2rem rgba(59,134,112, 0.5);
    }

    .btn-custom.disabled, .btn-custom:disabled {
        color: #fff;
        background-color: #8e8e8e;
        border-color: transparent;
    }

    .btn-custom:not(:disabled):not(.disabled):active, .btn-custom:not(:disabled):not(.disabled).active,
    .show > .btn-custom.dropdown-toggle {
        color: #fff;
        background-color: #8e8e8e;
        border-color: transparent;
    }

        .btn-custom:not(:disabled):not(.disabled):active:focus, .btn-custom:not(:disabled):not(.disabled).active:focus,
        .show > .btn-custom.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(59,134,112, 0.5);
        }

/*
    CUSTOM ALERT
*/

.alert-myPrimary {
    background-color: #024f98!important;
    color: white;
}
.alert-myPrimary .close {
    color: white;
}
/* ========================================================================
   Component: layout
 ========================================================================== */
body, .wrapper .section-container {
    background-color: #fcf6eb;
}

.wrapper .aside-container {
    background-color: #fff;
}

.wrapper .footer-container {
    background-color: #024f98;
}
/* ========================================================================
   Component: top-navbar
 ========================================================================== */
.topnavbar {
    background-color: #024f98;
    background-image: linear-gradient(to right, #024f98 0%, #024f98 100%);
    background-repeat: repeat-x;
}

    .topnavbar .navbar-nav > .nav-item > .nav-link {
        font-size: 16px;
    }

    .topnavbar .navbar-header img {
        max-height: 40px;
    }

@media (min-width: 992px) {
    .topnavbar .navbar-nav > .nav-item.show > .nav-link, .topnavbar .navbar-nav > .nav-item.show > .nav-link:hover, .topnavbar .navbar-nav > .nav-item.show > .nav-link:focus {
        box-shadow: 0 -3px 0 #024f98 inset;
    }
}

.topnavbar .navbar-nav > .nav-item > .navbar-text {
    color: #fff;
}

.topnavbar .navbar-nav > .nav-item > .nav-link, .topnavbar .navbar-nav > .nav-item > .nav-link:focus,
.topnavbar .navbar-nav > .nav-item.show > .nav-link {
    color: #fff;
}

    .topnavbar .navbar-nav > .nav-item > .nav-link:hover,
    .topnavbar .navbar-nav > .nav-item.show > .nav-link:hover,
    .topnavbar .navbar-nav > .nav-item.show > .nav-link:focus {
        color: #0c2943;
    }

.topnavbar .dropdown-item.active, .topnavbar .dropdown-item:active {
    background-color: #024f98;
}

/* ========================================================================
   Component: sidebar
 ========================================================================== */
.sidebar {
    background-color: #fff;
    overflow-x: auto !important;
    padding-bottom: 30px;
}


    .sidebar .nav-heading {
        color: #919DA8;
    }

    .sidebar > .sidebar-nav {
        margin-bottom: 30px !important;
    }

    .sidebar-nav > li > a, .sidebar-nav > li > .nav-item {
        color: #515253;
    }

    .sidebar-nav > li > a:focus, .sidebar-nav > li > a:hover, .sidebar-nav > li > .nav-item:focus, .sidebar-nav > li > .nav-item:hover {
        color: #08946d;
    }

    .sidebar-nav > li > a > em, .sidebar-nav > li > .nav-item > em {
        color: inherits;
    }

.sidebar-nav > li.active, .sidebar-nav > li.active > a, .sidebar-nav > li.active > .nav-item, .sidebar-nav > li.active .sidebar-nav, .sidebar-nav > li.open, .sidebar-nav > li.open > a, .sidebar-nav > li.open > .nav-item, .sidebar-nav > li.open .sidebar-nav {
    background-color: #fcfcfc;
    color: #08946d;
}

    .sidebar-nav > li.active > .nav-item > em, .sidebar-nav > li.active > a > em, .sidebar-nav > li.open > .nav-item > em, .sidebar-nav > li.open > a > em {
        color: #08946d;
    }

.sidebar-nav > li.active {
    border-left-color: #08946d;
}

.sidebar-subnav {
    background-color: #fff;
}

    .sidebar-subnav > .sidebar-subnav-header {
        color: #515253;
    }

    .sidebar-subnav > li > a, .sidebar-subnav > li > .nav-item {
        color: #515253;
    }

        .sidebar-subnav > li > a:focus, .sidebar-subnav > li > a:hover, .sidebar-subnav > li > .nav-item:focus, .sidebar-subnav > li > .nav-item:hover {
            color: #08946d;
        }

    .sidebar-subnav > li.active > a, .sidebar-subnav > li.active > .nav-item {
        color: #08946d;
    }

        .sidebar-subnav > li.active > a:after, .sidebar-subnav > li.active > .nav-item:after {
            border-color: #08946d;
            background-color: #08946d;
        }

/* ========================================================================
   Component: offsidebar
 ========================================================================== */
.offsidebar {
    border-left: 1px solid greyscale(#cccccc);
    background-color: #fff;
    color: #2e6957;
}


/* ========================================================================
   Component: Loader
 ========================================================================== */
body .line-scale-pulse-out-rapid > div {
    background-color: #024f98;
    border-color: #024f98;
}